LIFSTAT(8)

NAME
lifstat - display network interface statistics

SYNOPSIS
lifstat [-nrmbdtzvh] [-i interface] [interval] [count]

DESCRIPTION
lifstat reports input and output statistics for available network interfaces over a repeating time inteval similar to the BSD netstat -i command.

Without any options, netstat will display statistics for all interfaces every 5 seconds until the command is terminated.

-i interface
    display statistics only for the designated interface; multiple interfaces can be displayed by adding extra '-i interface' arguments

interval
    the number of seconds between updates: the default value is 5

count
    the number of updates: the default value is 0, which will cause the program to run until the command is terminated

-n  do not display the column headers

-r  periodically redisplay the column headers

-m  display transfer rates in mbytes/sec rather than bytes/sec

-b  display "bandwidth mode" which replaces distinct in/out error reporting with columns for total transfer size and rate; by default in this mode, statistics are displayed in kbytes

-d  display a leading date field on each line

-t  display a leading time field on each line

-z  do not display output for devices with no traffic

-v  display the program version number

-h  display usage information

FILES
/proc/net/dev

AUTHOR
written by Frank S. Fejes III

SEE ALSO
netstat(8), ifconfig(8)